View Issue Details

IDProjectCategoryView StatusLast Update
0004345unrealinstallingpublic2015-04-06 10:55
ReporterQIXOZLAssigned Totmcarthur 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSOpenBSDOS Version5.6
Product Version3.2.10.4 
Target VersionFixed in Version3.2.10.5 
Summary0004345: misc OpenBSD fixes
Descriptionopenbsd now comes with libressl. RAND_query_egd_bytes and RAND_egd don't exist there. #ifndef __OpenBSD__ ...

openbsd has no timeb.h. #ifndef __OpenBSD__ ... you know the drill.
Steps To Reproducecompile it
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-03-29 18:10

administrator   ~0018285

oh. why do I assign this to tmcarthur...

anyway I think tmcarthur just fixed this in 3.4.x right? is that correct?
then all that's needed is a backport for 3.2.x then

syzop

2015-04-06 10:55

administrator   ~0018288

Fixed in both 3.2.x and 3.4.x

Issue History

Date Modified Username Field Change
2015-02-28 21:19 QIXOZL New Issue
2015-03-29 18:09 syzop Assigned To => tmcarthur
2015-03-29 18:09 syzop Status new => assigned
2015-03-29 18:10 syzop Note Added: 0018285
2015-04-06 10:55 syzop Note Added: 0018288
2015-04-06 10:55 syzop Status assigned => resolved
2015-04-06 10:55 syzop Fixed in Version => 3.2.10.5
2015-04-06 10:55 syzop Resolution open => fixed